Skip to main content
GET
/
v1
/
settlement-rules
/
{id}
Get a rule
curl --request GET \
  --url https://api.getsly.ai/v1/v1/settlement-rules/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "trigger_type": "balance_threshold",
    "trigger_config": {},
    "action_type": "settle_to_bank",
    "action_config": {},
    "enabled": true,
    "priority": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Path Parameters

id
string<uuid>
required

Response

Rule

data
object
required